안드로이드 OpenCV(3.0이상) Highgui 에러

Posted by ITPangPang
2016.07.16 23:56 안드로이드(android)/개발중 생긴일


안드로이드 OpenCV(3.0이상) 

Highgui 에러


ㆍ OpenCV를 안드로이드 스튜디오에서 사용하려고 하는데

   생각보다 쉽지는 않다..


ㆍ Import Module하는 것 까지는 어렵지 않은데, 처음 

   사용하는 사람들은 환경설정하는 것부터가 쉽지 않다..


ㆍ 그리고 원하는 기능을 구현하기 위해서는 OpenCV에서 제공

    하는 샘플프로젝트 이외에도 인터넷에 있는 많은 코드들의 

    도움을 받아야되는데 대부분 이클립스에서 작업하던 

    코드이고, 버전도 맞지 않아서 에러나는 부분이 많다..



저도 처음 OpenCV를 접하면서

엄청난 에러들과 싸우고 있습니다.


인터넷에 많은코드를 보면

이미지 처리를 위해서

Highgui를 많이 사용할 것을

볼 수 있습니다.


특히

Highgui.imwrite~

Highgui.read~


저도 여러가지 써보려고

코드를 구해서 돌려보는데


Highgui.imwrite 부분에서

에러가 떠서 당연히 파라미터

문제일줄 알고 그 부분을

봤는데 원인은 


OpenCV 3.0이상에서는

Highgui를 사용하면 오류가

뜨는 것을 알았습니다.


해결방법은 어렵지 않았습니다.

그냥 

Highgui 대신 Imgcodecs로

변경만 해주면 됩니다.


Highgui.imwrite -> Imgcodecs.imwrite

Highgui.read -> Imgcodecs.read


저작자 표시 비영리 변경 금지
신고
이 댓글을 비밀 댓글로